Tämä kansio on peräisin osoitteesta

https://tyoelamatieto.fi/fi/dashboards/pam-kysely/

ja sisältää Työterveyslaitoksen "Työhyvinvointia ja osaamista palvelualoilla" -tutkimushankkeessa Palvelualojen ammattiliiton työntekijöillä teetetyn kyselyn vastauksista koostetun aineiston. Aineistoon on laskettu monivalintakyselyn vastausvaihtoehtojen vastauslukumääriä. 

Jaettavaan aineistoon on laskettu koko vastaajajoukon vastauslukumäärät sekä kahdeksan taustamuuttujan yksittäisiä arvoja vastaavien vastaajajoukkojen vastauslukumäärät. Kysymysten vastausvaihtoehtojen vastauslukumääriä voi siis suodattaa taustamuuttujien arvojen suhteen, kuitenkin niin, että vain yksi taustamuuttuja voi olla suodattimena kerrallaan.

Tietosuojasyistä alkuperäisestä kyselyaineistosta on satunnaisesti poistettu jokaisen kysymyksen vastauksista 20 %, joten jaettavan aineiston vastauslukumäärät voivat olla todellisia vastauslukumääriä pienempiä.

Sisältö:

`pam-kysely-data.csv`:
 - Taulukko, joka sisältää kyselyn kysymysten monivalintavaihtoehtojen vastauslukumäärät sekä koko vastaajajoukolle että suodatettujen vastaajien joukoille.
 - Muuttuja- ja vastausvaihtoehtokoodien merkitykset on listattu tiedostossa `variables.json`
 - Sarakkeet:
   - `[K2, ikä2022, koulutus2022, sex, K1, K3, K4, K5]`: Taustamuuttujat. Jos arvo on muu kuin tyhjä, niin kyseinen rivi sisältää kyseistä taustamuuttujan arvoa vastaavan vastaajajoukon vastauslukumäärät.
   - `Kysymys`: Kohdekysymyksen koodi; osoittaa, minkä kysymyksen lukumäärät rivillä on.
   - `[LKM_1, LKM_2, LKM_3, LKM_4, LKM_5, LKM_6, LKM_7]`: Vastausten lukumäärät vastauskoodeittain.
   - `N`: Suodatetun vastaajajoukon vastaajien lukumäärä.

`variables.json`:
 - Kyselyn kysymysten sekä niiden vastausten koodien merkitykset JSON-muodossa.